com.ihr.xbrl.om.table.errors

## Class XTxbrlteTableMissingConceptAspect

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.ihr.xbrl.om.errors.XBRLValidationException
      - - com.ihr.xbrl.om.table.errors.XTValidationException
        - - com.ihr.xbrl.om.table.errors.XTxbrlteTableMissingConceptAspect

- All Implemented Interfaces:
    java.io.Serializable

      public class XTxbrlteTableMissingConceptAspect
      extends XTValidationException

  The Class XTxbrlteTableMissingConceptAspect.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.ihr.xbrl.om.table.errors.XTValidationException

      `XBRLTE_PWD_2013_05_17, XBRLTE_REC_2014_03_18, XBRLTEPFX`

    - ### Fields inherited from class com.ihr.xbrl.om.errors.XBRLValidationException

      `ARC_SOURCE_ERROR, ARC_TARGET_ERROR, ARCROLE_TYPE_NOT_DECLARED_USED_ON, ARCROLE_TYPE_UNRESOLVABLE, ARCROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA, CONCEPT_BALANCE_AMBIGUOUS, CONCEPT_INVALID_TYPE, CONCEPT_LABEL_SOURCE_IS_NOT_CONCEPT, CONCEPT_LABEL_TARGET_INVALID, CONCEPT_LABEL_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED, CONCEPT_LABEL_TARGET_IS_NOT_RESOURCE, CONCEPT_MISSING_PERIODTYPE, CONCEPT_NOT_FOUND, CONCEPT_NUMERIC_MISSING_UNIT, CONCEPT_PERIOD_TYPE_MISTMATCH, CONCEPT_REFERENCE_SOURCE_IS_NOT_CONCEPT, CONCEPT_REFERENCE_TARGET_INVALID, CONCEPT_REFERENCE_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED, CONCEPT_REFERENCE_TARGET_NOT_RESOURCE, CONTENT_MODEL_EXCEPTION, DTS_DISCOVERY_EXCEPTION, DUPLICATE_ARCROLEREF_EXCEPTION, DUPLICATE_EXCEPTION, DUPLICATE_ROLEREF_EXCEPTION, DUPLICATE_USED_ON, ENCAPSULATE_DTS_DISCOVERY_EXCEPTION, ENCAPSULATE_JAVA_EXCEPTION, ENCAPSULATE_LICENSEVERIFICATION_EXCEPTION, ENCAPSULATE_XBRL_EXCEPTION, ENCAPSULATE_XML_EXCEPTION, ENCAPSULATE_XPATH_EXCEPTION, ERROR_OK, ESSENCE_ALIAS_DIFFERENT_BALANCE, ESSENCE_ALIAS_DIFFERENT_ITEM_TYPES, ESSENCE_ALIAS_DIFFERENT_PERIOD_TYPES, ESSENCE_ALIAS_NON_UEQUAL, ESSENCE_ALIAS_NON_VEQUAL, ESSENCE_ALIAS_SOURCE_NOT_ITEM, ESSENCE_ALIAS_TARGET_NOT_ITEM, EXTENSIBLE_ENUMERATIONS_EXCEPTION_BASE, FACT_DECIMALS_AND_PRECISION, FACT_ERROR, FACT_FOOTNOTEARC_SOURCE_NOT_FACT, FACT_FOOTNOTEARC_SOURCE_OUT_OF_INSTANCE, FACT_FOOTNOTEARC_TARGET_NOT_RESOURCE, FACT_FOOTNOTEARC_TARGET_OUT_OF_INSTANCE, FACT_NILLED_HAS_DECIMALS_OR_PRECISION, FACT_NO_DECIMALS_NO_PRECISION, FOOTNOTE_MISSING_LANG, FORMULA_PROCESSOR_EXCEPTION, GENERAL_SPECIAL_SOURCE_NOT_ITEM, GENERAL_SPECIAL_TARGET_NOT_ITEM, GENERIC_LINKBASE_ELEMENT_LABEL_INVALID_TARGET, GENERIC_LINKBASE_ELEMENT_REFERENCE_INVALID_TARGET, GENERIC_LINKBASE_EXCEPTION_BASE, GENERIC_LINKBASE_INVALID_ARCROLE_URI, GENERIC_LINKBASE_INVALID_ROLE_URI, INCONSISTENCY_AS_EXCEPTION, INCONSISTENT_DTS_OPERATION_EXCEPTION, INVALID_ATTRIBUTE_VALUE, INVALID_DIRECTED_CYCLES_FOUND, INVALID_ELEMENT_VALUE_EXCEPTION, INVALID_LOCATOR_FOUND, INVALID_NUMBER_OF_VALUES_FOR_ATTRIBUTE, INVALID_UNDIRECTED_CYCLES_FOUND, INVALID_URI_IN_HREF, INVALID_XPOINTER_FOR_XBRL, LABEL_INVALID_RESOURCE, LABEL_MISSING_LANG, MULTIPLE_NON_SEQUAL_ARCROLE_TYPE_DEFINITIONS, MULTIPLE_NON_SEQUAL_ROLE_TYPE_DEFINITIONS, NO_LABEL_FOR_PREFERRED_LABELROLE, NUMERIC_VALUE_CANT_GET_TYPE_ERROR, OK, PERIOD_DATES_INVALID, PREFERRED_LABEL_ROLE_TYPE_NOT_DEFINED, PURE_RUNTIME_EXCEPTION, REDEFINE_ERROR, REQUIRES_ELEMENT_TARGET_NOT_FOUND, ROLE_TYPE_NOT_DECLARED_USED_ON, ROLE_TYPE_UNRESOLVABLE, ROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA, RS_NO_FILES_TO_LOAD, SCENARIO_INVALID_CONTENT, SCHEMA_EXCEPTION, SEGMENT_INVALID_CONTENT, SUMMATION_ITEM_INVALID_DEBIT_CREDIT_RELATIONSHIP, SUMMATION_ITEM_INVALID_WEIGHT_VALUE, SUMMATION_ITEM_SOURCE_NOT_ITEM, SUMMATION_ITEM_SOURCE_NOT_NUMERIC, SUMMATION_ITEM_TARGET_NOT_ITEM, SUMMATION_ITEM_TARGET_NOT_NUMERIC, TABLE_PROCESSOR_EXCEPTION, TARGET_IS_NOT_CONCEPT, TARGET_IS_NOT_CONTEXT, TARGET_IS_NOT_FACT, TARGET_IS_NOT_UNIT, TUPLE_INVALID_ATTRIBUTE, TUPLE_INVALID_CONTENT, UNIT_ERROR, UNREADABLE_DOCUMENT, URI_MUST_BE_ABSOLUTE, XBRL_RS_TOOL_SPECIFIC_ERROR_BASE, XDT_EXCEPTION, XLINK_ERROR, XLINK_ERROR_DUPLICATE_ARCS, XLINK_ERROR_TARGET_IS_NOT_SCHEMA, XLINK_ERROR_UNRESOLVABLE_URI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XTxbrlteTableMissingConceptAspect(int specificationVersion, java.lang.String description)` Instantiates a new x txbrlte table missing concept aspect.

  - ### Method Summary

    - ### Methods inherited from class com.ihr.xbrl.om.table.errors.XTValidationException

      `getQNameError, getSpecificationVersionErrorsNamespace`

    - ### Methods inherited from class com.ihr.xbrl.om.errors.XBRLValidationException

      `addPrefixMessage, addSuffixMessage, documentException, equals, getCode, getMessage, hashCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XTxbrlteTableMissingConceptAspect

          public XTxbrlteTableMissingConceptAspect(int specificationVersion,
                                           java.lang.String description)

      Instantiates a new x txbrlte table missing concept aspect.
      Parameters:
        `specificationVersion` - the specification version
        `description` - the description